package com.bmw.cascade.pruefstand.ediabas;

import java.util.ResourceBundle;

public class EdiabasResult {
	public static ResourceBundle bundle;

	static {
		bundle = ResourceBundle.getBundle( "com.bmw.cascade.pruefstand.ediabas.Ediabas" );
	}
	private EdiabasResultSet[] resultSets = new EdiabasResultSet[0];

	public EdiabasResult( EdiabasResultSet[] resultSets ) {
		if( resultSets == null ) {
			throw new IllegalArgumentException( "No null-Reference allowed" );
		} else {
			this.resultSets = resultSets;
		}
	}

	public EdiabasResultSet[] getResultSets() {
		return resultSets;
	}

	public int getNumberOfResultSets() {
		return resultSets.length;
	}

	public String toString() {
		StringBuffer buffer = new StringBuffer();
		for( int i=0; i<resultSets.length; i++ ) {
			buffer.append( bundle.getString( "EdiabasResult.label.set" ) + ": " + i );
			buffer.append( System.getProperty( "line.separator" ) );
			buffer.append( resultSets[i].toString() );
			buffer.append( System.getProperty( "line.separator" ));
		}
		return buffer.toString();
	}
}